Get balances for address list
curl --request GET \
--url https://api.range.org/v2/addresses/list/{hash}/balances \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/addresses/list/{hash}/balances"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/addresses/list/{hash}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/addresses/list/{hash}/balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/addresses/list/{hash}/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/addresses/list/{hash}/balances")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/addresses/list/{hash}/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"balances": [
{
"address": "cosmos1abc...",
"network": "cosmoshub-4",
"assets": [
{
"symbol": "USDC",
"name": "USD Coin",
"amount": "100.50",
"usd": "100.50"
}
],
"hidden_count": 0,
"lookup_status": "ok",
"reason": {
"code": "provider_timeout",
"display": "Provider timed out"
},
"updated_at": "2024-01-01T00:00:00.000Z"
}
]
}Address Information
Get address list balances
Look up balances using the hash returned when an address list was stored.
GET
/
v2
/
addresses
/
list
/
{hash}
/
balances
Get balances for address list
curl --request GET \
--url https://api.range.org/v2/addresses/list/{hash}/balances \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/addresses/list/{hash}/balances"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/addresses/list/{hash}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v2/addresses/list/{hash}/balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v2/addresses/list/{hash}/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v2/addresses/list/{hash}/balances")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v2/addresses/list/{hash}/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"balances": [
{
"address": "cosmos1abc...",
"network": "cosmoshub-4",
"assets": [
{
"symbol": "USDC",
"name": "USD Coin",
"amount": "100.50",
"usd": "100.50"
}
],
"hidden_count": 0,
"lookup_status": "ok",
"reason": {
"code": "provider_timeout",
"display": "Provider timed out"
},
"updated_at": "2024-01-01T00:00:00.000Z"
}
]
}Use the
hash returned by Store address list.Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Transaction hash.
Example:
"0xe6497e3ee548a3372136af2fcb0696db31fc6cf20260707645068bd3fe97f3c4"
Query Parameters
Restores the response to today's unfiltered shape, byte-for-byte, ignoring the workspace token whitelist. Never mutates stored overrides.
Response
Balances for each address in the list.
Show child attributes
Show child attributes
Last modified on November 10, 2026
Was this page helpful?